Bug 1124671 - [RFE][keystone]: endpoint table is missing reference to region table
Summary: [RFE][keystone]: endpoint table is missing reference to region table
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ga
: 6.0 (Juno)
Assignee: Nathan Kinder
QA Contact: Mike Abrams
URL: https://blueprints.launchpad.net/keys...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 04:05 UTC by RHOS Integration
Modified: 2016-04-26 19:09 UTC (History)
6 users (show)

Fixed In Version: openstack-keystone-2014.2.1-1.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 20:05:05 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-30 04:05:19 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/keystone/+spec/endpoint-table-missing-reference-to-region-table.

Description:

Keystone is provided with region table as given here for storing the region details :
mysql> desc region
    -> ;
+------------------+--------------+------+-----+---------+-------+
| Field | Type | Null | Key | Default | Extra |
+------------------+--------------+------+-----+---------+-------+
| id | varchar(64) | NO | PRI | NULL | |
| description | varchar(255) | NO | | NULL | |
| parent_region_id | varchar(64) | YES | | NULL | |
| extra | text | YES | | NULL | |
+------------------+--------------+------+-----+---------+-------+

But it is not consumed in the endpoint table as shown below, "region" column is still having the endpoint name

mysql> desc endpoint;
+--------------------+--------------+------+-----+---------+-------+
| Field | Type | Null | Key | Default | Extra |
+--------------------+--------------+------+-----+---------+-------+
| id | varchar(64) | NO | PRI | NULL | |
| legacy_endpoint_id | varchar(64) | YES | | NULL | |
| interface | varchar(8) | NO | | NULL | |
| region | varchar(255) | YES | | NULL | |
| service_id | varchar(64) | NO | MUL | NULL | |
| url | text | NO | | NULL | |
| extra | text | YES | | NULL | |
| enabled | tinyint(1) | NO | | 1 | |
+--------------------+--------------+------+-----+---------+-------+

And this "region" column should be renamed to "region_id" and should be referring to the region table.

Specification URL (additional information):

http://git.openstack.org/cgit/openstack/keystone-specs/plain/specs/juno/endpoint-table-missing-reference-to-region-table.rst

Comment 4 Mike Abrams 2015-02-09 07:55:13 UTC
Nathan I see there is no behavioral change but is there a method to test the internals?

Comment 5 Scott Lewis 2015-02-09 20:05:05 UTC
This bug has been closed as a part of the RHEL-OSP 6 general availability release. For details, see https://rhn.redhat.com/errata/rhel7-rhos-6-errata.html

Comment 6 Nathan Kinder 2015-02-18 23:40:10 UTC
(In reply to Mike Abrams from comment #4)
> Nathan I see there is no behavioral change but is there a method to test the
> internals?

You could use mysql to connect to the database and display the endpoint table.  You should see a reference to the region table.


Note You need to log in before you can comment on or make changes to this bug.